<?php
require_once('dcwp_plugin_admin.php');

if(!class_exists('dc_jqslicksocial_admin')) {
	
	class dc_jqslicksocial_admin extends dcwp_dcssb_plugin_admin {
	
		var $hook = 'slick-social-share-buttons';
		var $longname = 'Slick Social Share Buttons Configuration';
		var $shortname = 'Slick Social Share Buttons';
		var $filename = 'slick-social-share-buttons/dcwp_slick_social_buttons.php';
		var $homepage = 'http://www.designchemical.com/blog/index.php/wordpress-plugins/wordpress-plugin-slick-social-share-buttons/';
		var $homeshort = 'http://bit.ly/q9oapO';
		var $twitter = 'designchemical';
		var $title = 'Wordpress plugin Slick Social Share Buttons';
		var $description = 'Add twitter, google +1, facebook like, linkedin, stumbleupon & digg social media share buttons in a slick floating or slide out tab';
		
		function __construct() {
		
			parent::__construct();
			
			add_action('admin_init', array(&$this,'settings_init'));
			add_action('init', array(&$this,'dcssb_admin_init'));
			
		}
		 
		function settings_init() {
		
			register_setting('dcssb_options_group', 'dcssb_options');
		
		}
		
		function dcssb_admin_init(){
			if (is_admin()) {
				wp_enqueue_script( 'dcssbjqueryadmin', dc_jqslicksocial::get_plugin_directory().'/inc/js/jquery.admin.js', array('jquery'));
				wp_enqueue_style( 'dcssbadmin', dc_jqslicksocial::get_plugin_directory().'/css/admin.css');
			}
		}
		
		// Plugin specific side info box
		function info_box() {}
		
		function option_page() {
			
			$this->setup_admin_page('Slick Social Buttons Settings','Slick Social Buttons Configuration Settings');
		?>
					  
		<?php if (!empty($message)) : ?>
			<div id="message" class="updated fade"><p><strong><?php echo $message ?></strong></p></div>
		<?php endif; ?>
		<script type="text/javascript" src="<?php echo dc_jqslicksocial::get_plugin_directory(); ?>/inc/js/jquery.ui.core.min.js"></script>
		<script type="text/javascript" src="<?php echo dc_jqslicksocial::get_plugin_directory(); ?>/inc/js/jquery.ui.widget.min.js"></script>
		<script type="text/javascript" src="<?php echo dc_jqslicksocial::get_plugin_directory(); ?>/inc/js/jquery.ui.mouse.min.js"></script>
		<script type="text/javascript" src="<?php echo dc_jqslicksocial::get_plugin_directory(); ?>/inc/js/jquery.ui.sortable.min.js"></script>
		
		<script type="text/javascript">
		jQuery(document).ready(function($) {
			$('span.dcssb-button').each(function(){
				var image = $(this).attr('rel').replace('dcssb_','');
				var icon = $('#dcssb_'+image).val();
				var button = '<?php echo dc_jqslicksocial::get_plugin_directory(); ?>/css/images/'+image+'_'+icon+'.png';
				$(this).html('<img src="'+button+'" alt="" />');
			});
			$('select.dcssb-button').change(function(){
				var image = $(this).attr('id').replace('dcssb_','');
				var icon = $(this).val();
				var button = '<?php echo dc_jqslicksocial::get_plugin_directory(); ?>/css/images/'+image+'_'+icon+'.png';
				$('span[rel=dcssb_'+image+']').html('<img src="'+button+'" alt="" />');
			});
			$('.link-method').click(function(){
				var method = $(this).val();
				$('.method-hide').hide();
				$('.method-'+method).show();
			});
			$('.hide').hide();
			$('#dcssb_position').change(function(){
				var pos = $('#dcssb_position option:selected').val();
				if(pos == 'left' || pos == 'right'){
					$('option.pos-horizontal').hide();
					$('#dcssb_direction').val('vertical');
				} else {
					$('option.pos-horizontal').show();
				}
			});
			var loadOrder = [];
			$("#sortable li").each(function(){
				var rel = $(this).attr('rel');
				var i = $(this).index('#sortable li');
				loadOrder.push(rel);
			});
			$('#dcssb-order').val(loadOrder);
			$("#sortable").sortable({
				placeholder: "sort-holder",
				stop: function(event, ui) {
					var sortOrder = [];
					$("#sortable li").each(function(){
						var rel = $(this).attr('rel');
						var i = $(this).index('#sortable li');
						sortOrder.push(rel);
					});
					$('#dcssb-order').val(sortOrder);
				}
			});
			$( "#sortable" ).disableSelection();
		});
		</script>
		<form method="post" id="dcssb_settings_page" class="dcwp-form dcssb-form" action="options.php">
		
		<div class="metabox-holder">
				  <div class="meta-box-sortables">
				    <div class="postbox">
					  <h3 class="hndle"><span>Slick Social Buttons Panel Settings</span></h3>
					  <div class="inside">
		<p class="dcwp-intro">For instructions on how to configure this plugin check out the <a target="_blank" href="http://www.designchemical.com/blog/index.php/wordpress-plugins/wordpress-plugin-slick-social-share-buttons/"><?php echo $this->shortname; ?> project page</a>.</p>
			<?php 
				settings_fields('dcssb_options_group'); $options = get_option('dcssb_options'); 
				
				// Set defaults
				$method = $options['method'] ? $options['method'] : 'float' ;
				$position = $options['position'] ? $options['position'] : 'top-right' ;
				$offsetL = $options['offsetL'] ? $options['offsetL'] : '50' ;
				$offsetA = $options['offsetA'] ? $options['offsetA'] : '50' ;
				$direction = $options['direction'] ? $options['direction'] : 'vertical' ;
				$speedFloat = $options['speedFloat'] ? $options['speedFloat'] : '1600' ;
				$speedMenu = $options['speedMenu'] ? $options['speedMenu'] : '600' ;
				$autoClose = $options['autoClose'] ? $options['autoClose'] : 'true' ;
				$loadOpen = $options['loadOpen'] ? $options['loadOpen'] : 'false' ;
				$skin = $options['skin'] ? $options['skin'] : 'true' ;
				$tabImage = $options['tabImage'] ? $options['tabImage'] : '' ;
				$show_home = $options['show_home'] ? $options['show_home'] : 'false' ;
				$show_post = $options['show_post'] ? $options['show_post'] : 'false' ;
				$show_page = $options['show_page'] ? $options['show_page'] : 'false' ;
				$show_category = $options['show_category'] ? $options['show_category'] : 'false' ;
				$show_archive = $options['show_archive'] ? $options['show_archive'] : 'false' ;
				$default_order = 'twitter,facebook,plusone,linkedin,stumble,digg' ;
				$dcssb_order = $options['dcssb_order'] ?  $options['dcssb_order'] : $default_order ;
				$shortener = $options['shortener'] ? $options['shortener'] : 'none' ;
				$shortener_api = $options['shortener_api'] ? $options['shortener_api'] : '' ;
				$shortener_login = $options['shortener_login'] ? $options['shortener_login'] : '' ;
				
				$hideFloat = $method == 'stick' ? ' hide' : '' ;
				$hideStick = $method == 'float' ? ' hide' : '' ;
				$hideHoriz = $position == 'left' || $position == 'right' ? ' hide' : '' ;
				
			?>
				<ul class="half">
					<li>
						<label for="dcssb_method_float">Type</label>
						<input type="radio" id="dcssb_method_float" name="dcssb_options[method]" value="float"<?php checked( $method, 'float' ); ?> class="link-method" /> Floating 
						<input type="radio" id="dcssb_method_stick" name="dcssb_options[method]" value="stick"<?php checked( $method, 'stick' ); ?> class="link-method" /> Slide Out
					</li>
	
					<li>
					  <label for="dcssb_position">Location</label>
						<select name="dcssb_options[position]" id="dcssb_position" >
							<option value='top-left' <?php selected( $position, 'top-left'); ?> >Top Left</option>
							<option value='top-right' <?php selected( $position, 'top-right'); ?> >Top Right</option>
							<option value='bottom-left' <?php selected( $position, 'bottom-left'); ?> >Bottom Left</option>
							<option value='bottom-right' <?php selected( $position, 'bottom-right'); ?> >Bottom Right</option>
							<option value='left' <?php selected( $position, 'left'); ?> >Left</option>
							<option value='right' <?php selected( $position, 'right'); ?> >Right</option>
						</select> 
					</li>
					<li>
					  <label for="dcssb_offset">Offset</label>
						<input type="text" id="dcssb_offsetL" name="dcssb_options[offsetL]" value="<?php echo $offsetL; ?>" size="4" /> px  
						<span class="method-float method-hide<?php echo $hideFloat; ?>"><input type="text" id="dcssb_offsetA" name="dcssb_options[offsetA]" value="<?php echo $offsetA; ?>" size="4" /> px</span>
					</li>
					<li class="method-stick method-hide<?php echo $hideStick; ?>">
					  <label for="dcssb_direction">Direction</label>
						<select name="dcssb_options[direction]" id="dcssb_direction" >
							<option value='vertical' <?php selected( $direction, 'vertical'); ?> >Vertical</option>
							<option value='horizontal' class="pos-horizontal<?php echo $hideHoriz; ?>" <?php selected( $direction, 'horizontal'); ?> >Horizontal</option>
						</select> 
					</li>
					<li>
					  <label for="dcssb_skin">Default Skin</label>
					  <input type="checkbox" value="true" class="checkbox" id="dcssb_skin" name="dcssb_options[skin]"<?php checked( $skin, 'true'); ?> />
					</li>
				  </ul>
				  <ul class="half right">
					<li class="method-float method-hide<?php echo $hideFloat; ?>">
						<label for="dcssb_speedFloat">Float Speed</label>
						<input type="text" id="dcssb_speedFloat" name="dcssb_options[speedFloat]" value="<?php echo $speedFloat; ?>" size="5" class="margin-right" /> (ms)
					</li>
					<li>
						<label for="dcssb_speedMenu">Slide Speed</label>
						 <input type="text" id="dcssb_speedMenu" name="dcssb_options[speedMenu]" value="<?php echo $speedMenu; ?>" size="5" /> (ms)
						</li>
	
					<li>
						<label for="dcssb_autoClose">Auto-Close</label> 
						<input type="checkbox" value="true" class="checkbox" id="dcssb_autoClose" name="dcssb_options[autoClose]"<?php checked( $autoClose, 'true'); ?> />
					</li>
					<li>
						<label for="dcssb_loadOpen">Load Open</label> 
						<input type="checkbox" value="true" class="checkbox" id="dcssb_loadOpen" name="dcssb_options[loadOpen]"<?php checked( $loadOpen, 'true'); ?> />
					</li>
					<li>
						<label for="dcssb_tabImage">Tab Image URL</label>
						<input type="text" id="dcssb_tabImage" name="dcssb_options[tabImage]" value="<?php echo $tabImage; ?>" size="30" />
						<span class="description dcwp-note">Leave blank to use default tab</span>
					</li>
				  </ul>
				  <p class="submit clear">
					<input type="submit" class="button-primary" value="<?php _e('Save Changes') ?>" />
				</p>
			</div></div></div></div>
			<div class="metabox-holder">
				  <div class="meta-box-sortables">
				    <div class="postbox">
					  <h3 class="hndle"><span>Display Pages For Social Share Buttons</span></h3>
					  <div class="inside">
				 <p class="dcwp-intro">Select the pages where you wish the button panel to appear:</p>
				  <ul class="third">
					<li>
					  <input type="checkbox" value="true" class="checkbox" id="dcssb_show_home" name="dcssb_options[show_home]"<?php checked( $show_home, 'true'); ?> class="margin-right" /> Home Page
					</li>
					<li>
					  <input type="checkbox" value="true" class="checkbox" id="dcssb_show_page" name="dcssb_options[show_page]"<?php checked( $show_page, 'true'); ?> class="margin-right" /> Pages
					</li>
				  </ul>
				  <ul class="third">
					<li>
					  <input type="checkbox" value="true" class="checkbox" id="dcssb_show_post" name="dcssb_options[show_post]"<?php checked( $show_post, 'true'); ?> class="margin-right" /> Posts
					</li>
					<li>
					  <input type="checkbox" value="true" class="checkbox" id="dcssb_show_category" name="dcssb_options[show_category]"<?php checked( $show_category, 'true'); ?> class="margin-right" /> Category Pages
					</li>
				  </ul>
				  <ul class="third right">
					<li>
					  <input type="checkbox" value="true" class="checkbox" id="dcssb_show_archive" name="dcssb_options[show_archive]"<?php checked( $show_archive, 'true'); ?> class="margin-right" /> Archive Pages
					</li>
				</ul>
				<p class="submit clear">
					<input type="submit" class="button-primary" value="<?php _e('Save Changes') ?>" />
				</p>
				
				</div></div></div></div>
		<div class="metabox-holder">
				  <div class="meta-box-sortables">
				    <div class="postbox">
					  <h3 class="hndle"><span>Social Share Buttons</span></h3>
					  <div class="inside">
			
				<ul id="sortable">
				  <?php
				  
					$functions = explode(',', $dcssb_order);
					$buttons = $default_order;
					
					foreach($functions as $function) {
		
						if($function != ''){
							$f_name = 'options_'.$function;
							$this->$f_name();
							$buttons = str_replace($function,'',$buttons);
						}
					}
					
					// Add new buttons
					$buttons = explode(',', $buttons);
					
					foreach($buttons as $button) {
		
						if($button != ''){
							$f_name = 'options_'.$button;
							$this->$f_name();
						}
					}
				  ?>
				</ul>
			
				<input type="hidden" value="<?php echo $dcssb_order; ?>" name="dcssb_options[dcssb_order]" id="dcssb-order" />
				<p class="submit">
				
					<input type="submit" class="button-primary" value="<?php _e('Save Changes') ?>" />

				</p>
				</div></div></div></div>
		<div class="metabox-holder">
				  <div class="meta-box-sortables">
				    <div class="postbox">
					  <h3 class="hndle"><span>Additional Information</span></h3>
					  <div class="inside">
					  <ul>
						  <li>
						    <label for="dcssb_user_twitter">Twitter Username</label>
						    <input type="text" name="dcssb_options[user_twitter]" id="dcssb_user_twitter" class="dcwp-input-m" value="<?php echo isset($options['user_twitter']) ?  $options['user_twitter'] : $user_twitter; ?>" /> <span class="dcwp-note">(without the '@')</span>
						  </li>
						  <li>
						    <label for="dcssb_app_facebook">Facebook App ID</label>
						    <input type="text" name="dcssb_options[app_facebook]" id="dcssb_app_facebook" class="dcwp-input-m" value="<?php echo isset($options['app_facebook']) ?  $options['app_facebook'] : $app_facebook; ?>" />
						  </li>
						  <li>
						    <label for="dcssb_admin_facebook">Facebook Admin ID</label>
							<input type="text" name="dcssb_options[admin_facebook]" id="dcssb_admin_facebook" class="dcwp-input-m" value="<?php echo isset($options['admin_facebook']) ?  $options['admin_facebook'] : $admin_facebook; ?>" />
					       </li>
						   <li>
						    <label for="dcssb_image_facebook">Default Facebook Image</label>
							<input type="text" name="dcssb_options[image_facebook]" id="dcssb_image_facebook" class="dcwp-input-m" value="<?php echo isset($options['image_facebook']) ?  $options['image_facebook'] : $image_facebook; ?>" />
					       </li>
					  </ul>
					  <p class="submit">
				
					<input type="submit" class="button-primary" value="<?php _e('Save Changes') ?>" />

				</p>
				</div></div></div></div>
		<div class="metabox-holder">
				  <div class="meta-box-sortables">
				    <div class="postbox">
					  <h3 class="hndle"><span>Twitter URL Shortener</span></h3>
					  <div class="inside">
						<ul>
						  <li>
							<label for="dcssb_shortener">Shortener</label>
							<select name="dcssb_options[shortener]" id="dcssb_shortener">
								<option value='bitly' <?php selected( $shortener, 'bitly'); ?> >bitly</option>
								<option value='tinyurl' <?php selected( $shortener, 'tinyurl'); ?> >tinyurl</option>
								<option value='digg' <?php selected( $shortener, 'digg'); ?> >digg</option>
								<option value='supr' <?php selected( $shortener, 'supr'); ?> >supr</option>
								<option value='none' <?php selected( $shortener, 'none'); ?> >None</option>
							</select>
						  </li>
						  <li>
						    <label for="dcssb_shortener_api">API Key</label>
							<input type="text" id="dcssb_shortener_api" name="dcssb_options[shortener_api]" value="<?php echo $shortener_api; ?>" size="40" />
							<span class="description dcwp-note">bit.ly (required), su.pr (optional)</span>
						  </li>
						  <li>
						    <label for="dcssb_shortener_login">Login</label>
							<input type="text" id="dcssb_shortener_login" name="dcssb_options[shortener_login]" value="<?php echo $shortener_login; ?>" size="40" />
							<span class="description dcwp-note">bit.ly (required), su.pr (optional)</span>
						  </li>
						</ul>
					  <p class="submit">
						<input type="submit" class="button-primary" value="<?php _e('Save Changes') ?>" />
					  </p>
			<?php

				$this->close_admin_page();

		}
		
		function options_twitter(){
			
			$options = get_option('dcssb_options');
			$size_twitter = $options['size_twitter'] ? $options['size_twitter'] : 'vertical' ;
			$incTwitter = $options['incTwitter'] ? $options['incTwitter'] : 'false' ;
			
			?>
			<li rel="twitter">
				  <table width="100%" class="dcwp-table" cellspacing="0" border="0" cellpadding="0">
				  <tr>
				    <td class="button-name">
					  <h4><input type="checkbox" value="true" class="checkbox" id="dcssb_inc_twitter" name="dcssb_options[incTwitter]"<?php checked( $incTwitter, 'true'); ?> class="margin-right" /> Twitter</h4>
					  </td>
					<td class="button-size">
						<select name="dcssb_options[size_twitter]" id="dcssb_size_twitter" class="dcssb-button">
							<option value='horizontal' <?php selected( $size_twitter, 'horizontal'); ?> >Horizontal + Count</option>
							<option value='vertical' <?php selected( $size_twitter, 'vertical'); ?> >Vertical + Count</option>
							<option value='none' <?php selected( $size_twitter, 'none'); ?> >Standard</option>
						</select>
					</td>
					<td class="button-others">
					  
					</td>
					<td class="button-eg">
						<div class="relative"><span class="dcssb-button" rel="dcssb_size_twitter"></span></div>
					</td>
				  </tr>
				  </table>
				  </li>
			<?php
		}
		
		function options_facebook(){
		
			$options = get_option('dcssb_options');
			$size_facebook = $options['size_facebook'] ? $options['size_facebook'] : 'box_count' ;
			$incFacebook = $options['incFacebook'] ? $options['incFacebook'] : 'false' ;
			$method_facebook = $options['method_facebook'] ? $options['method_facebook'] : 'xfbml' ;
			
			?>
			<li rel="facebook">
				  <table width="100%" class="dcwp-table" cellspacing="0" border="0" cellpadding="0">
				  <tr>
				    <td class="button-name">
					  <h4><input type="checkbox" value="true" class="checkbox" id="dcssb_inc_facebook" name="dcssb_options[incFacebook]"<?php checked( $incFacebook, 'true'); ?> class="margin-right" /> Facebook</h4>
					</td>
					<td class="button-size">
						<select name="dcssb_options[size_facebook]" id="dcssb_size_facebook" class="dcssb-button">
							<option value='standard' <?php selected( $size_facebook, 'standard'); ?> >Standard</option>
							<option value='button_count' <?php selected( $size_facebook, 'button_count'); ?> >Button Count</option>
							<option value='box_count' <?php selected( $size_facebook, 'box_count'); ?> >Box Count</option>
						</select>
						<select name="dcssb_options[method_facebook]" id="dcssb_method_facebook" class="dcssb-button">
							<option value='xfbml' <?php selected( $method_facebook, 'xfbml'); ?> >xfbml</option>
							<option value='iframe' <?php selected( $method_facebook, 'iframe'); ?> >iFrame</option>
						</select>
					</td>
					<td class="button-others">
					  
					  
					</td>
					<td class="button-eg">
						<div class="relative"><span class="dcssb-button" rel="dcssb_size_facebook"></span></div>
					</td>
				  </tr>
				  </table>
				  </li>
			<?php
		}
		
		function options_plusone(){
		
			$options = get_option('dcssb_options');
			$size_plusone = $options['size_plusone'] ? $options['size_plusone'] : 'tall_count' ;
			$incPlusone = $options['incPlusone'] ? $options['incPlusone'] : 'false' ;
			
			?>
			<li rel="plusone">
				  <table width="100%" class="dcwp-table" cellspacing="0" border="0" cellpadding="0">
				  <tr>
				    <td class="button-name">
					  <h4><input type="checkbox" value="true" class="checkbox" id="dcssb_inc_plusone" name="dcssb_options[incPlusone]"<?php checked( $incPlusone, 'true'); ?> class="margin-right" /> Google +1</h4>
					</td>
					<td class="button-size">
						<select name="dcssb_options[size_plusone]" id="dcssb_size_plusone" class="dcssb-button">
							<option value='small' <?php selected( $size_plusone, 'small'); ?> >Small</option>
							<option value='small_count' <?php selected( $size_plusone, 'small_count'); ?> >Small + Count</option>
							<option value='medium' <?php selected( $size_plusone, 'medium'); ?> >Medium</option>
							<option value='medium_count' <?php selected( $size_plusone, 'medium_count'); ?> >Medium + Count</option>
							<option value='standard' <?php selected( $size_plusone, 'standard'); ?> >Standard</option>
							<option value='standard_count' <?php selected( $size_plusone, 'standard_count'); ?> >Standard + Count</option>
							<option value='tall_count' <?php selected( $size_plusone, 'tall_count'); ?> >Tall + Count</option>
						</select>
					</td>
					<td class="button-others">&nbsp;</td>
					<td class="button-eg">
						<div class="relative"><span class="dcssb-button" rel="dcssb_size_plusone"></span></div>
					</td>
				  </tr>
				  </table>
				  </li>
			<?php
		}
		
		function options_linkedin(){
		
			$options = get_option('dcssb_options');
			$size_linkedin = $options['size_linkedin'] ? $options['size_linkedin'] : 'top' ;
			$incLinkedin = $options['incLinkedin'] ? $options['incLinkedin'] : 'false' ;
			
			?>
			<li rel="linkedin">
				  <table width="100%" class="dcwp-table" cellspacing="0" border="0" cellpadding="0">
				  <tr>
				    <td class="button-name">
					<h4><input type="checkbox" value="true" class="checkbox" id="dcssb_inc_linkedin" name="dcssb_options[incLinkedin]"<?php checked( $incLinkedin, 'true'); ?> class="margin-right" /> Linkedin</h4>
					</td>
					<td class="button-size">
						<select name="dcssb_options[size_linkedin]" id="dcssb_size_linkedin" class="dcssb-button">
							<option value='right' <?php selected( $size_linkedin, 'right'); ?> >Horizontal</option>
							<option value='top' <?php selected( $size_linkedin, 'top'); ?> >Vertical</option>
							<option value='none' <?php selected( $size_linkedin, 'none'); ?> >None</option>
						</select>
					</td>
					<td class="button-others">&nbsp;</td>
					<td class="button-eg">
						<div class="relative"><span class="dcssb-button" rel="dcssb_size_linkedin"></span></div>
					</td>
				  </tr>
				  </table>
				  </li>
			<?php
		}
		
		function options_stumble(){
		
			$options = get_option('dcssb_options');
			$size_stumble = $options['size_stumble'] ? $options['size_stumble'] : '5' ;
			$incStumble = $options['incStumble'] ? $options['incStumble'] : 'false' ;
			
			?>
			<li rel="stumble">
				  <table width="100%" class="dcwp-table" cellspacing="0" border="0" cellpadding="0">
				  <tr>
				    <td class="button-name">
					  <h4><input type="checkbox" value="true" class="checkbox" id="dcssb_inc_stumble" name="dcssb_options[incStumble]"<?php checked( $incStumble, 'true'); ?> class="margin-right" /> Stumbleupon</h4>
					</td>
					<td class="button-size">
						<select name="dcssb_options[size_stumble]" id="dcssb_size_stumble" class="dcssb-button">
							<option value='1' <?php selected( $size_stumble, '1'); ?> >Horizontal + Count</option>
							<option value='2' <?php selected( $size_stumble, '2'); ?> >Medium + Count</option>
							<option value='3' <?php selected( $size_stumble, '3'); ?> >Small + Count</option>
							<option value='4' <?php selected( $size_stumble, '4'); ?> >Small</option>
							<option value='5' <?php selected( $size_stumble, '5'); ?> >Vertical + Count</option>
						</select>
					</td>
					<td class="button-others">&nbsp;</td>
					<td class="button-eg">
						<div class="relative"><span class="dcssb-button" rel="dcssb_size_stumble"></span></div>
					</td>
				  </tr>
				</table>
				</li>
			<?php
		}
		
		function options_digg(){
		
			$options = get_option('dcssb_options');
			$size_digg = $options['size_digg'] ? $options['size_digg'] : '5' ;
			$incDigg = $options['incDigg'] ? $options['incDigg'] : 'false' ;
			
			?>
			<li rel="digg">
				  <table width="100%" class="dcwp-table" cellspacing="0" border="0" cellpadding="0">
				  <tr>
				    <td class="button-name">
					  <h4><input type="checkbox" value="true" class="checkbox" id="dcssb_inc_digg" name="dcssb_options[incDigg]"<?php checked( $incDigg, 'true'); ?> class="margin-right" /> Digg</h4>
					</td>
					<td class="button-size">
						<select name="dcssb_options[size_digg]" id="dcssb_size_digg" class="dcssb-button">
							<option value='DiggMedium' <?php selected( $size_digg, 'DiggMedium'); ?> >Medium</option>
							<option value='DiggCompact' <?php selected( $size_digg, 'DiggCompact'); ?> >Compact</option>
							<option value='DiggIcon' <?php selected( $size_digg, 'DiggIcon'); ?> >Icon</option>
						</select>
					</td>
					<td class="button-others">&nbsp;</td>
					<td class="button-eg">
						<div class="relative"><span class="dcssb-button" rel="dcssb_size_digg"></span></div>
					</td>
				  </tr>
				</table>
				</li>
			<?php
		}
	}
}